MagickWand: display.c File Reference

# display.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/mogrify-private.h"`
`#include "magick/display-private.h"`

## Defines
#define | DestroyDisplay()
#define | ThrowDisplayException(asperity, tag, option)
#define | ThrowDisplayInvalidArgumentException(option, argument)
## Functions
static void | DisplayUsage (void)
WandExport MagickBooleanType | DisplayImageCommand (ImageInfo *image_info, int argc, char **argv, char **wand_unused(metadata), ExceptionInfo *exception)

## Define Documentation

#define DestroyDisplay | ( |  | ) |

Value:

    { \
      if ((state & ExitState) == 0) \
        DestroyXResources(); \
      if (display != (Display *) NULL) \
        { \
          XCloseDisplay(display); \
          display=(Display *) NULL; \
        } \
      XDestroyResourceInfo(&resource_info); \
      for ( ; k >= 0; k--) \
        image_stack[k]=DestroyImageList(image_stack[k]); \
      if (image_marker != (unsigned long *) NULL) \
        image_marker=(unsigned long *) RelinquishMagickMemory(image_marker); \
      for (i=0; i < (long) argc; i++) \
        argv[i]=DestroyString(argv[i]); \
      argv=(char **) RelinquishMagickMemory(argv); \
    }

#define ThrowDisplayException | ( | asperity,
|  | tag,
|  | option |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),asperity,tag,"`%s'", \
        option); \
      DestroyDisplay(); \
      return(MagickFalse); \
    }

#define ThrowDisplayInvalidArgumentException | ( | option,
|  | argument |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),OptionError, \
        "InvalidArgument","`%s': %s",argument,option); \
      DestroyDisplay(); \
      return(MagickFalse); \
    }

## Function Documentation

WandExport MagickBooleanType DisplayImageCommand | ( | ImageInfo * | image_info,
|  | int | argc,
|  | char ** | argv,
|  | char ** | wand_unused(metadata),
|  | ExceptionInfo * | exception |
| ) |  |  |

static void DisplayUsage | ( | void |  | ) | `[static]`